org.apache.maven.artifact

## Class InvalidArtifactRTException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.maven.artifact.InvalidArtifactRTException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidArtifactRTException
    extends java.lang.RuntimeException

Exception thrown when the identity of an artifact can not be established, eg. one of groupId, artifactId, version or type is null.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidArtifactRTException(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String message)`
`InvalidArtifactRTException(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getArtifactId()`
`java.lang.String` `getArtifactKey()`
`java.lang.String` `getBaseMessage()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getMessage()`
`java.lang.String` `getType()`
`java.lang.String` `getVersion()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidArtifactRTException

    public InvalidArtifactRTException(java.lang.String groupId,
                              java.lang.String artifactId,
                              java.lang.String version,
                              java.lang.String type,
                              java.lang.String message)

#### InvalidArtifactRTException

    public InvalidArtifactRTException(java.lang.String groupId,
                              java.lang.String artifactId,
                              java.lang.String version,
                              java.lang.String type,
                              java.lang.String message,
                              java.lang.Throwable cause)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`

#### getBaseMessage

    public java.lang.String getBaseMessage()

#### getArtifactId

    public java.lang.String getArtifactId()

#### getGroupId

    public java.lang.String getGroupId()

#### getType

    public java.lang.String getType()

#### getVersion

    public java.lang.String getVersion()

#### getArtifactKey

    public java.lang.String getArtifactKey()